CREATE TABLE irc_availability_context (
    OBJECT_CTX_ID            NUMBER(18, 0),
    OBJECT_CTX_CODE          VARCHAR2(144)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    RECRUITING_TYPE_CODE     VARCHAR2(120),
    ORGANIZATION_ID          NUMBER(18, 0),
    GEOGRAPHY_NODE_ID        NUMBER(18, 0),
    JOB_ID                   NUMBER(18, 0),
    JOB_FAMILY_ID            NUMBER(18, 0),
    JOB_FUNCTION_CODE        VARCHAR2(120),
    SITE_NUMBER              VARCHAR2(960),
    PERSON_TYPE_CODE         VARCHAR2(120),
    DIMENSION_TYPE_CODE      VARCHAR2(120),
    DEFAULT_FLAG             VARCHAR2(4)  ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    OBJECT_CTX_ID            NUMBER(18, 0),
    OBJECT_CTX_CODE          VARCHAR2(144)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    RECRUITING_TYPE_CODE     VARCHAR2(120),
    ORGANIZATION_ID          NUMBER(18, 0),
    GEOGRAPHY_NODE_ID        NUMBER(18, 0),
    JOB_FAMILY_ID            NUMBER(18, 0),
    JOB_FUNCTION_CODE        VARCHAR2(120),
    DIMENSION_TYPE_CODE      VARCHAR2(120),
    DEFAULT_FLAG             VARCHAR2(4)  ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SITE_NUMBER              VARCHAR2(960),
    PERSON_TYPE_CODE         VARCHAR2(120),
    JOB_ID                   NUMBER(18, 0),
    CONSTRAINT pk_irc_availability_context PRIMARY KEY (OBJECT_CTX_ID, OBJECT_CTX_ID)
);
